javax.sound.midi

## Interface MidiDeviceReceiver

- All Superinterfaces:
    AutoCloseable, Receiver

      public interface MidiDeviceReceiver
      extends Receiver

  `MidiDeviceReceiver` is a `Receiver` which represents a MIDI input connector of a `MidiDevice` (see `MidiDevice.getReceiver()`).

  Since:
    1.7

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MidiDevice` | `getMidiDevice()` Obtains a MidiDevice object which is an owner of this Receiver.

    - ### Methods inherited from interface javax.sound.midi.Receiver

      `close, send`

- - ### Method Detail

    - #### getMidiDevice

          MidiDevice getMidiDevice()

      Obtains a MidiDevice object which is an owner of this Receiver.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.